.fillbg{


    position: absolute;
    left: 0px;
    right: 0px;
    top: 0px;
    bottom: 0px;
    background-color: #ddd;
    opacity: 0.5;
}



/*----------------- chat edit delete buttons=-------------------*/

.gapMsg:hover .gapB{
    border:1px dotted #df1414;

}
.gapMsg  .gapB{
   
    border:1px solid white;
    margin:2px
}

.gapMe .gapB{
}

.gapMe .gapB:hover{
}

.gapHe .gapB:hover{
}
.gapHe .gapB{
}


/*----------------- scrollpanel-demo=-------------------*/
.scrollpanel-demo .p-scrollpanel p {
    padding: .5rem;
    line-height: 1.5;
    margin: 0;
}

.scrollpanel-demo .p-scrollpanel.custombar1 .p-scrollpanel-wrapper {
    border-right: 10px solid var(--surface-b);
}

.scrollpanel-demo .p-scrollpanel.custombar1 .p-scrollpanel-bar {
    background-color: var(--primary-color);
    opacity: 1;
    transition: background-color .2s;
}

.scrollpanel-demo .p-scrollpanel.custombar1 .p-scrollpanel-bar:hover {
    background-color: #007ad9;
}

.scrollpanel-demo .p-scrollpanel.custombar2 .p-scrollpanel-wrapper {
    border-right: 10px solid var(--surface-b);
    border-bottom: 10px solid var(--surface-b);
}

.scrollpanel-demo .p-scrollpanel.custombar2 .p-scrollpanel-bar {
    background-color: var(--surface-d);
    border-radius: 0;
    opacity: 1;
    transition: background-color .2s;
}

.scrollpanel-demo .p-col-12 {
    padding: 2rem;
}
/*----------------- list=-------------------*/

.cap-plugin-content-box-inner ol {
    list-style: none;
    counter-reset: item;
}
.cap-plugin-content-box-inner li {
    counter-increment: item;
    margin:5px
}
.cap-plugin-content-box-inner li:before {
    margin-right: 10px;
    content: counter(item);
    background: lightblue;
    border-radius: 100%;
    color: white;
    width: 1.2em;
    text-align: center;
    display: inline-block;
    
    margin-left: 5px;
}

.cap-plugin-content-box-inner * {
    direction: rtl;
}

.onHoverBlue:hover{
    z-index: 2;
    color: white;
    background-color: #00AEEF !important;
    border-color: #00AEEF !important;
    
    cursor: pointer;
}


/*------------------------------scrollpanel----------------------------*/

button .label-promotion::before:empty {
    display: none;
    
}

.p-scrollpanel-wrapper {
    border-right: 9px solid #f0efef !important;
}

.p-scrollpanel-bar {
    background-color: #1976d2!important;
    opacity: 1;
    transition: background-color .3s;
}

.p-scrollpanel-bar:hover {
    background-color: #135ba1 !important;
}
/*------------------------------end----------------------------*/


a:hover{
    cursor: pointer;
}

.selected{
    
}



.smallText{
    font-size: 12px !important;
}

.text-black{
    color: black !important; 
}

.p-tabview .p-tabview-nav li .p-tabview-nav-link{
    padding:10px !important;
}

.p-tabmenu.p-component{
direction: rtl;    
}
.p-component.p-editor-container{
    overflow: hidden;
}

.p-tabmenu .p-tabmenu-nav .p-tabmenuitem .p-menuitem-link{
    padding:6px !important;
}
.p-tabmenu .p-tabmenu-nav .p-tabmenuitem .p-menuitem-link .p-menuitem-icon{
    margin-right: 0px !important; 
font-size: 11px !important;
    padding: 0px;
}
.IsResolved{
    border:1px solid greenyellow !important;;
}

.UnIsResolved{
    border:1px solid red !important;

}

.iconSize18{
    font-size: 18px !important;
}

.onlyoffline{
    margin-top: 12px;
    margin-left: 9px;
}

.sidebar-heading{
    text-align: center !important;
}
.usData{
    overflow: auto;
 /*   word-break: break-all;
    direction: ltr;*/
}
.marginTop{
    margin-top: 10vh;
}
.p-field-radiobutton label{

    margin-right: 5px;
    margin-left: 5px;
}


.scallSmall{
    zoom: 0.6;
    -moz-transform: scale(0.5);
}

#shadowRoot{
    
    height: 100vh;
    overflow: auto;
    
}
.fakeMouse{
width: 100%;
height: 100%;
    position: relative;
    z-index: 6;

}
.notValid{
    border:1px solid red;
}
.floatLeft{

    margin-top: 10px;
}
.floatRight{
    float: right;
}

.MySwitcher{

    padding-top: 30px;
    padding-bottom: 50px;
}

.smallLink{
    font-size: 14px !important;
    margin-top: 5px;
}

.text-summary2{
    display: flex;
    line-height: 1.5em;
    overflow: hidden;

    padding-left: 10px;
    
    padding-top:14px !important;
}

.centered{


    padding-right: 10% !important;
    padding-left: 10% !important;
}
.modal-90w {
    width: 90% !important;
    max-width: none!important;
}
.modal-big-h-w{
    
    height: 40vh;
    
    padding-left: 35%;
}


.small{
    color: #a0a1a2;
    direction: rtl;
    
}

.text-summary{
    line-height: 1.5em;
    height: 3em;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 100%;
}
.p-datatable .p-datatable-header{
    background: none !important;
}

.fullWidth{
    width: 100%;
}

.fillerHolder{

    position: relative;
}

.floatRight{
    float: right;
}
.floatLeft{
    float: left;
}

.bigIcon{
    font-size: 40px !important;
}

@media screen and (max-width: 800px) {
    .listGroup {

        height: 40vh
    }

    .nativeName {

       display: none;
    }

}

.FormDataPage .listGroup{
    height: 30vh


}
.listGroup{
    overflow:auto;
    height:80vh
}
.link{
    color: #1c84c6 !important;
}
.FormRendererSingleElement{
    display: flex;
}
.filler{
    position: absolute;
    left: 0px;
    right: 0px;
    bottom: 0px;
    top: 0px;
}
.filler:hover{
    border:1px solid #00AEEF;
    cursor: pointer;
    
}
.toolsMenuFormCreator{
    
    border: 1px solid #ddd;
    border-radius: 2px 2px 2px 2px;
}

.formElement{
    
    
    
    background-color: #6a8894;
}


.userTag{
    position: absolute;
    left: 2px;
    top: 2px;
}
.userTag:hover{
    color:#0edbf9;
    cursor: pointer;
}

.userTagBlue{
    color:#1e88e5;

}
.pointer:hover{
    cursor: pointer;
}
.onMobile {
    display: none;
}

a:not([href]):not([class]):hover{
    color: #04aecd !important;
    cursor: pointer;
}


a:not([href]):not([class]){
    color: #09e2ca !important;
}


@media screen and (max-width: 1366px) {
  
}
@media screen and (max-width: 1024px) {
  
}
/* Use a media query to add a breakpoint at 800px: */
@media screen and (max-width: 800px) {
    .onMobile {
        display: inherit/* The width is 100%, when the viewport is 800px or smaller */
    }

    .onDesktop{
        display: none/* The width is 100%, when the viewport is 800px or smaller */
    }
}

@media screen and (max-width: 600px) {
   


}



.onthefly{

    position: fixed;
    left: 20px;
    border:50px solid darkblue;

    top:70%;


}


.inOneLine{
display: flex;
}

.userCard{
    margin-Top:5px
}

.hideWhole{
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: black;
    opacity: 0.3;
    top: 0px;
    left: 0px;
    z-index: 20;
}

.showSingle{
     
     z-index: 21;
 }

.alert{
    z-index: 21;
}


.active {
    background-color: #00ACED;
    color:white;
}

 .gapStat{
     height: 10px;
     width: 10px;
     background-color: #29bb1c;
     border-radius: 50%;
     display: inline-block;
     text-align: center;
 }
.MsgCount{
    height: 100%;
    width: 17px;
    background-color: #51a3f1;
    border-radius: 50%;
    display: inline-block;
    text-align: center;
    color: white;
    float: left;
}
.selectedUserInList {
    background-color: bisque;
}

.userInList:hover {
    background-color: aqua;
    cursor: pointer
}

.p-fieldset.p-fieldset-toggleable .p-fieldset-legend{
    display: none;
}

.p-tabview-nav{
    direction: rtl;
}

.noMargin {
    margin: 0px;
    padding: 0px;
}


.chatPanel{
    max-height: 500px;
    overflow: auto;
    min-height: 200px;
}

.post{
    margin-top: 20px;
}


.chatPanel::-webkit-scrollbar {
    width: 12px;
}

.chatPanel::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 2px rgba(0,0,0,0.3);
    border-radius: 10px;
}

.chatPanel::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 2px rgba(0,0,0,0.5);
}